History

2011-02-26 04:32 pm - Derek Montgomery
Feeling lazy right now to put it properly in wiki so I'll paste it here to not forget.
<pre>

from redmine stable 1.1.1

Gentoo Linux 64bits

apache 2.2

mysql 5.1
passenger 3.0.2
ruby 1.8.7
rubygems 1.3.7
actionmailer (2.3.5)
actionpack (2.3.5)
activerecord (2.3.5)
activeresource (2.3.5)
activesupport (2.3.5)
i18n (0.4.2)

mysql (2.8.1)

rack (1.2.1, 1.0.1)
rails (2.3.5)

rake (0.8.7)

rmagick (2.13.1)
ruby-openid (2.1.8)

14:54:50 | ofc backuped up files and db

14:55:22 | copied config/{configuration,database,additional-environment}.yml files
14:55:26 | copied plugins

14:55:29 | copied themes

14:55:34 | copied files

14:55:42 | all of that into fresh clone of master

14:56:06 | then did the usual rake generate_session_store

14:56:12 | rake db:migrate RAILS_ENV=production

14:56:16 | rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production
14:56:20 | rake db:migrate_plugins RAILS_ENV=production

14:56:26 | rake tmp:cache:clear

14:56:27 | rake tmp:sessions:clear

14:56:30 | restarted apache

</pre>
- Status changed from Open to Closed

2020-10-25 1/2




I've added documentation for [[Upgrade|upgrading ChiliProject]] and to [[Migrate From Redmine]]. Like | said in IRC, it looks like Redmine 1.1.1 and

below are just a straight switch over to our git repo and then a @db:migrate@.

Redmine trunk and 1.2 will need some work since they include more database changes but they aren't yet released and we might pull in some of their

code anyway.

P.S. | tested the upgrade with a Redmine 0.9, 1.0-stable, and 1.1-stable databases. My ChiliProject development database is also based on 1.0.5 and

it was migrated cleanly a few weeks ago.
